DROP TABLE IF EXISTS sluttatest;
DROP TABLE IF EXISTS jobbhistorikk;
DROP TABLE IF EXISTS oppdrag;
DROP TABLE IF EXISTS kandidatkvalifikasjon;
DROP TABLE IF EXISTS kandidat;
DROP TABLE IF EXISTS bedrift;

CREATE TABLE bedrift
(
orgnummer INT UNSIGNED NOT NULL AUTO_INCREMENT,
navn VARCHAR(30),
epost VARCHAR(100),
telefon CHAR(15),
PRIMARY KEY(orgnummer)
);

CREATE TABLE kandidat
(
telefon CHAR(15) NOT NULL,
epost VARCHAR(100),
fornavn VARCHAR(30),
etternavn VARCHAR(30),
PRIMARY KEY(telefon)
);

CREATE TABLE kandidatkvalifikasjon
(
telefon CHAR(15) NOT NULL,
kvalifikasjon VARCHAR(100),
PRIMARY KEY(telefon, kvalifikasjon),
FOREIGN KEY(telefon) REFERENCES kandidat(telefon)
);

CREATE TABLE oppdrag
(
oppdrag_id INT UNSIGNED NOT NULL AUTO_INCREMENT,
orgnummer INT UNSIGNED,
kvalifikasjon VARCHAR(30),
starttid DATE,
slutttid DATE,
PRIMARY KEY(oppdrag_id),
FOREIGN KEY(orgnummer) REFERENCES bedrift(orgnummer)
);

CREATE TABLE jobbhistorikk
(
oppdrag_id INT UNSIGNED NOT NULL,
kandidat_tlf CHAR(15) NOT NULL,
starttid DATE,
slutttid DATE,
arbeidstimer INT UNSIGNED,
attest VARCHAR(200),
PRIMARY KEY(oppdrag_id),
FOREIGN KEY(oppdrag_id) REFERENCES oppdrag(oppdrag_id),
FOREIGN KEY(kandidat_tlf) REFERENCES kandidat(telefon)
);

